Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


[plugin] pente polaire ou pourcentage Empty
Ton bloc notes
Derniers sujets
» [ SKETCHUP plugins ] sj_AddDCFunctions
par simjoubert Hier à 18:18

» [ SKETCHUP plugins ] Move Align Me by Fredo
par Pilou Hier à 17:50

» [ AUTRES LOGICIELS ] bibliothèques d'objets ArchitecPC
par tenrev Hier à 15:24

» [ SKETCHUP composants dynamiques ] démo de composants dynamiques
par Pilou Hier à 11:53

» [ TWINMOTION ] résolution image de sortie
par Pistou Jeu 25 Nov 2021 - 15:34

» [ SKETCHUP plugins ] Skatter 2 disponible
par Pilou Jeu 25 Nov 2021 - 12:21

» [ SKETCHUP plugins ] sj_AddDCAttribut création d'attribut sur une sélection d'instances de composants
par tenrev Jeu 25 Nov 2021 - 8:52

» [ SKETCHUP plugins ] Black friday -30 % à - 50% sur des plugins sketchup
par tenrev Mer 24 Nov 2021 - 13:13

» [ WIP ] Rendu Loft
par REGIS Lun 22 Nov 2021 - 23:45

» [ FORUM ] Compteur de visite d'un lien
par simjoubert Lun 22 Nov 2021 - 12:38

» [ SKETCHUP composants dynamiques ] placement composant dynamique
par tenrev Lun 22 Nov 2021 - 12:08

» [ AUTRES LOGICIELS ] SPline En ligne
par Pilou Ven 19 Nov 2021 - 17:37

» [AUTRES LOGICIELS] Moi3D beta 4.0 - 64 bits Mac / PC 27 Octobre 2020
par Pilou Ven 19 Nov 2021 - 10:14

» [ OBJETS ET BILLBOARDS ] 90 modèles de plantes 3D en téléchargement gratuit chez Maxtree
par jerryvento Jeu 18 Nov 2021 - 15:20

» [ UNREAL ENGINE ] Mise à jour de metahuman-creator en ligne pour Unreal
par tenrev Jeu 18 Nov 2021 - 9:57

» [ CORONA ] Corona 8 prévu en début d'année 2022
par tenrev Jeu 18 Nov 2021 - 9:05

» [ UNREAL ENGINE ] mise à jour de Faceware Studio 1.5 capture de mouvement facial
par tenrev Jeu 18 Nov 2021 - 9:03

» [ BLENDER ] Modificateur sur plusieurs maillages
par Farkas Mar 16 Nov 2021 - 21:59

» [ UNREAL ENGINE ] Tuto en français par Jack ???
par jerryvento Mar 16 Nov 2021 - 15:04

» [ TEXTURES ET SHADERS ] Téléchargez 1 800 images de ciel 2K gratuites depuis MattePaint
par tenrev Mar 16 Nov 2021 - 10:26

» [ ARCHICAD ] Cotation de Niveau / Maillage / Etage Fantôme.
par chapichapo Lun 15 Nov 2021 - 22:07

» [ FORUM ] Bitdefender sur le Forum Tentatives de phishing
par simjoubert Dim 14 Nov 2021 - 22:08

» [ SKETCHUP généralité ] Dessiner une vis métal (fausse) en moins d'1 minute, tête comprise
par jerryvento Dim 14 Nov 2021 - 14:31

» [ SKETCHUP objets ] probleme de modelisation en STL
par tenrev Dim 14 Nov 2021 - 14:30

» [ SKETCHUP tutos ] Dessiner 1 vis métal (fausse) en moins d'1 miute, tête comprise
par jerryvento Dim 14 Nov 2021 - 14:28

» [ SKETCHUP généralité ] spectre des éléments à l'arrière
par jerryvento Sam 13 Nov 2021 - 18:10

» [ ARCHICAD ] Archicad 25 "V2" arrive tout bientôt et voici les nouveautés :
par Coulou Jeu 11 Nov 2021 - 16:38

» [ SKETCHUP généralité ] Spam sur 3dWH???
par tenrev Jeu 11 Nov 2021 - 9:53

» Probleme pour redimensionner les objets Autocad importer sur Lumion
par tenrev Mer 10 Nov 2021 - 16:20

» [ ARCHICAD ] Compatibilité Apple (M1 Max) et ArchiCad (25)
par Coulou Mer 10 Nov 2021 - 9:06

» [ UNREAL ENGINE ] Les assets gratuits du mois pour Unreal Engine
par jerryvento Mar 9 Nov 2021 - 12:11

» [ SKETCHUP Layout ] Texture en rendu vectoriel
par tenrev Dim 7 Nov 2021 - 8:21

» [SKETCHUP] Modèles à partager !
par JDD Ven 5 Nov 2021 - 11:40

» [ SKETCHUP Vray ] mise à jour Vray 5 pour sketchup
par tenrev Ven 5 Nov 2021 - 8:59

» [ TWINMOTION ]sortie de la nouvelle version 2022 .1
par tenrev Jeu 4 Nov 2021 - 11:09

[plugin] pente polaire ou pourcentage

Voir le sujet précédent Voir le sujet suivant Aller en bas

avatar
nazemrap
Timide
Timide
Masculin Date d'inscription : 26/02/2010
Nombre de messages : 32
Points : 48
http://technaulogis.fr

Messagenazemrap Dim 6 Mar 2011 - 9:41

Bonjour,

Sur un autre forum, j'ai tenté de faire une commande permettant de saisir des lignes en donnant
longueur< angle ou bien longueur< coefficient%
C'est plus ou moins bien réussi, mais je vous la soumets en test, cela peut intéresser certains, et je sais qu'il y a ici un "scripteur" qui pourra me donner un avis sur les problèmes.

video démo et téléchargement, lire avant d'utiliser


-------------------------------------------------------------------------------------------------------------------------
AD'TAL HEURE
Cordialement yvon
avatar
jojo2
modérateur
modérateur
Date d'inscription : 14/11/2009
Nombre de messages : 135
Points : 170

Messagejojo2 Sam 12 Mar 2011 - 15:20

Salut,

A première vue, ton problème semble résolvable.
Sauf que je n'ai pas bien compris à quoi peut servir de gérer une pente 2D dans un espace 3D.

Je viens de me connecter à ton site mais le script que tu laisses est en rbs. Je ne peux donc le lire et t'aider pour ton problème.

Envoie-moi le rb si tu veux que je t'aide.

++
avatar
nazemrap
Timide
Timide
Masculin Date d'inscription : 26/02/2010
Nombre de messages : 32
Points : 48
http://technaulogis.fr

Messagenazemrap Sam 12 Mar 2011 - 19:10

Bonjour,

Merci tout d'abord.
Je pensais trouver une solution mais ce n'est pas le cas.

A quoi cela sert ?
Je ne sais pas, j'ai simplement voulu répondre à quelqu'un qui exprimait ce besoin, juste pour pouvoir me confronter à cela.

J'ai rajouté le fichier.rb au même endroit.

PS:je n'ai pas trouvé comment insérer un fichier joint ici.

-------------------------------------------------------------------------------------------------------------------------
AD'TAL HEURE
Cordialement yvon
avatar
jojo2
modérateur
modérateur
Date d'inscription : 14/11/2009
Nombre de messages : 135
Points : 170

Messagejojo2 Sam 12 Mar 2011 - 22:28

Re,

Va pour l'exercice de style, alors! rigole

Evidemment, comme tu t'en doutes, tout se passe dans la définition "onUserText".

Je pense que tu préfèreras corriger toi-même ton script alors je te fais 3 remarques pour te guider:

a) la commande "begin, rescue, end" est une commande à rattrapage d'erreur.
cad: on écrit
Code:
begin
  commandes normales du script
  test quelconque
  si le test est ok, on continue
  commandes normales du script
  re-test quelconque
  si le re-test est ok, on continue
  etc...
rescue
  ici les commandes en cas d'erreur du test ou du re-test
end  # fin du begin
Comme tu as écrit tes commandes dans la partie rescue, tu as forcément l'erreur de ne pouvoir transformer en length (Console Ruby).

b) le positionnement:
Code:
if @ip1.position.x!=0 and @ip1.position.y!=0
vec = Geom::Vector3d.new a,b,0
end
if @ip1.position.x!=0 and @ip1.position.z!=0
vec = Geom::Vector3d.new a,0,b
end
if @ip1.position.y!=0 and @ip1.position.z!=0
vec = Geom::Vector3d.new 0,a,b
end
if @ip1.position.x!=0 and @ip1.position.y!=0 and @ip1.position.z!=0
vec = Geom::Vector3d.new 0,a,b
end
Comme tu travailles en 2D, tu es obligé de gérer les axes.
Vu comment tu as écrit ton code, il t'est interdit de commencer le traçage d'une ligne sur un des axes => erreur de création de "vec".
Il serait peut-être plus judicieux de forcer la vue sur face ou top ainsi que l'affichage en "projection parallèle" et éliminer toutes ces lignes de positionnement devenues inutiles.

c) la gestion de la valeur VCB:
La commande split est bien utilisée.
Mais tu peux fortement simplifier le décodage du % dans le style :
Code:
degres = (casse[1].to_i.modulo(800) * 0.45).to_f

Tu peux aussi gérer l'absence du "<" en suivant le fonctionnement normal du linetool.rb.

Voili, voilou, je reste à ta disposition si mes explications ne sont pas assez claires.

++
avatar
nazemrap
Timide
Timide
Masculin Date d'inscription : 26/02/2010
Nombre de messages : 32
Points : 48
http://technaulogis.fr

Messagenazemrap Dim 13 Mar 2011 - 8:44

Bonjour,

C'est vraiment "sympa" de t'intéresser à mon cas (d'école puisque non indispensable).
Je regarde de plus près en tenant compte de tes remarques et je tente de les mettre en application.
Je me permettrai d'abuser encore un peu pour refaire le point après...

A plus.

yvon

-------------------------------------------------------------------------------------------------------------------------
AD'TAL HEURE
Cordialement yvon

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum